lkml.org 
[lkml]   [2006]   [Jun]   [19]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
Date
From
Subject[PATCH] kernel-doc: don't use XML escapes in text or man output mode
From: Randy Dunlap <rdunlap@xenotime.net>

For kernel-doc output modes of text and man, do not use XML escapes
for less-than, greater-than, and ampersand characters. I.e., leave
the text and man output clean and readable.


Signed-off-by: Randy Dunlap <rdunlap@xenotime.net>
---
scripts/kernel-doc | 3 +++
1 files changed, 3 insertions(+)

--- linux-2617-pv.orig/scripts/kernel-doc
+++ linux-2617-pv/scripts/kernel-doc
@@ -1673,6 +1673,9 @@ sub process_state3_type($$) {
# replace <, >, and &
sub xml_escape($) {
my $text = shift;
+ if (($output_mode eq "text") || ($output_mode eq "man")) {
+ return $text;
+ }
$text =~ s/\&/\\\\\\amp;/g;
$text =~ s/\</\\\\\\lt;/g;
$text =~ s/\>/\\\\\\gt;/g;

---
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/
\
 
 \ /
  Last update: 2006-06-19 20:07    [W:0.031 / U:0.224 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site